Subject: Re: bug#13065: Bug in x-file-dialog with GetOpenFileName

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Jan 2013 15:32:41 +0200

> Date: Wed, 16 Jan 2013 20:54:05 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> So, unless someone has a better idea, I will soon commit to the
> emacs-24 branch the patch shown below.  It fixes the problem on
> Windows 7 and does not affect XP in any visible way.  The initial
> amount of memory to reserve was found by trial and error.
> 
> (After this patch, the original recipe still doesn't work: you need to
> type "abc" _after_ clicking "Desktop".  But the same happens with
> Emacs 23, so I guess this is just a minor change in behavior of
> Windows 7.)
> 
> === modified file 'src/w32heap.c'
> --- src/w32heap.c	2013-01-01 09:11:05 +0000
> +++ src/w32heap.c	2013-01-16 18:34:38 +0000
> @@ -98,7 +98,11 @@ allocate_heap (void)
>  #ifdef _WIN64
>    size_t size = 0x4000000000i64; /* start by asking for 32GB */
>  #else
> -  size_t size = 0x80000000; /* start by asking for 2GB */
> +  /* We used to start with 2GB here, but on Windows 7 that would leave
> +     too little room in the address space for threads started by
> +     Windows on our behalf, e.g. when we pop up the file selection
> +     dialog.  */
> +  size_t size = 0x68000000; /* start by asking for 1.7GB */
>  #endif
>    void *ptr = NULL;

No further comments, so I committed this to the emacs-24 branch
(revision 111192), and I'm closing this bug report.